svn commit: r440874 - in head/databases/mongodb34-rocks: . files
Thomas Zander
riggs at FreeBSD.org
Sun May 14 12:48:58 UTC 2017
Author: riggs
Date: Sun May 14 12:48:56 2017
New Revision: 440874
URL: https://svnweb.freebsd.org/changeset/ports/440874
Log:
Un-break port, fix inaccurate description
Detailed log:
- Unbreak port: Add missing file ${FILESDIR}/mongos.in
- Corrected description to reflect that this port supports RocksDB as a
backend AND all other standard MongoDB backends
(which for now is MMAPv1 and WiredTiger).
- Bump PORTREVISION
PR: 219259
Submitted by: numisemis at yahoo.com (maintainer)
Added:
head/databases/mongodb34-rocks/files/mongos.in (contents, props changed)
Modified:
head/databases/mongodb34-rocks/Makefile
head/databases/mongodb34-rocks/pkg-descr
Modified: head/databases/mongodb34-rocks/Makefile
==============================================================================
--- head/databases/mongodb34-rocks/Makefile Sun May 14 12:48:39 2017 (r440873)
+++ head/databases/mongodb34-rocks/Makefile Sun May 14 12:48:56 2017 (r440874)
@@ -3,6 +3,7 @@
PORTNAME= mongodb
PORTVERSION= 3.4.4
DISTVERSIONPREFIX= r
+PORTREVISION= 1
CATEGORIES= databases net
MASTER_SITES= https://fastdl.mongodb.org/src/:main \
http://fastdl.mongodb.org/src/:main \
Added: head/databases/mongodb34-rocks/files/mongos.in
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ head/databases/mongodb34-rocks/files/mongos.in Sun May 14 12:48:56 2017 (r440874)
@@ -0,0 +1,59 @@
+#!/bin/sh
+
+# PROVIDE: mongos
+# REQUIRE: NETWORK ldconfig
+# KEYWORD: shutdown
+#
+# Add the following lines to /etc/rc.conf.local or /etc/rc.conf
+# to enable this service:
+#
+# mongos_enable (bool): Set to "NO" by default.
+# Set it to "YES" to enable mongos.
+# mongos_limits (bool): Set to "NO" by default.
+# Set it to yes to run `limits -e -U mongodb`
+# just before mongos starts.
+# mongos_flags (str): Custom additional arguments to be passed to mongos.
+# Default to "--logpath /var/log/mongodb/mongos.log --logappend".
+# mongos_config (str): Default to "%%PREFIX%%/etc/mongos.conf"
+# Path to config file
+#
+
+. /etc/rc.subr
+
+name="mongos"
+rcvar=mongos_enable
+
+load_rc_config $name
+
+: ${mongos_enable="NO"}
+: ${mongos_limits="NO"}
+: ${mongos_logpath="/var/log/mongodb"}
+: ${mongos_flags="--logpath ${mongos_logpath}/mongos.log --logappend"}
+: ${mongos_user="mongodb"}
+: ${mongos_group="mongodb"}
+: ${mongos_config="%%PREFIX%%/etc/mongos.conf"}
+
+pidfile="/var/run/mongodb/mongos.pid"
+command=%%PREFIX%%/bin/${name}
+command_args="--config $mongos_config --fork >/dev/null 2>/dev/null"
+start_precmd="${name}_prestart"
+
+mongos_create_dbpath()
+{
+ mkdir ${mongos_logpath} >/dev/null 2>/dev/null
+ [ $? -eq 0 ] && chown -R ${mongos_user}:${mongos_group} ${mongos_logpath}
+}
+
+mongos_prestart()
+{
+ if [ ! -d ${mongos_logpath} ]; then
+ mongos_create_dbpath || return 1
+ fi
+ if checkyesno mongos_limits; then
+ eval `/usr/bin/limits -e -U ${mongos_user}` 2>/dev/null
+ else
+ return 0
+ fi
+}
+
+run_rc_command "$1"
Modified: head/databases/mongodb34-rocks/pkg-descr
==============================================================================
--- head/databases/mongodb34-rocks/pkg-descr Sun May 14 12:48:39 2017 (r440873)
+++ head/databases/mongodb34-rocks/pkg-descr Sun May 14 12:48:56 2017 (r440874)
@@ -2,6 +2,6 @@ Mongo (from "humongous") is a high-perfo
schema-free, document-oriented database. A common name in the
"NOSQL" community.
-This port uses a RocksDB Storage Engine as a MongoDB backend.
+This port can optionally use a RocksDB Storage Engine as a MongoDB backend.
WWW: http://www.mongodb.org/
More information about the svn-ports-head
mailing list